<template>
  <view class="flex-center flex-col" @click="onClick">
    <uv-icon :name="data.icon" size="38" color="#909399"></uv-icon>
    <view class="text-28rpx mt-10rpx">{{ data.title }}</view>
  </view>
</template>

<script setup>
const props = defineProps({
  data: {
    type: Object,
    default: () => ({}),
  },
})

const onClick = () => {
  if (props.data.url) {
    uni.navigateTo({
      url: props.data.url,
    })
  }
}
</script>
